package com.ruoyi.gysl.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.gysl.entity.baseModel.BaseModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * (QyrzInformation)表实体类
 *
 * @author makejava
 * @since 2025-03-19 15:25:18
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("gysl_qyrz_information")
public class QyrzInformation extends BaseModel implements Serializable {
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目id")
    private Long xmId;

    @ApiModelProperty("入住企业数")
    @TableField(exist = false)
    private Integer rzqys;

    @ApiModelProperty("入驻企业行业类型")
    private String rzqyhylx;

    @ApiModelProperty("人员数量")
    private Integer rysl;

    @ApiModelProperty("入住率")
    private BigDecimal rzl;

    @ApiModelProperty("已出租（售）面积")
    private BigDecimal yczmj;

    @ApiModelProperty("空置出租（售）面积")
    private BigDecimal kzczmj;

    @ApiModelProperty("工业厂房平均租金")
    private BigDecimal gycfpjzj;

    @ApiModelProperty("工业厂房平均物业费")
    private BigDecimal gycfpjwyf;

}

