package com.ruoyi.gysl.entity.response;

import com.ruoyi.gysl.entity.response.MxPageDetailedInfo.MxPageDetailedInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 分页模型数据
 * @author du
 * @since 2025/3/22 17:04
 */
@Data
public class MxPageResponse {

    /**
     * 1:关键要素；2：重要要素
     */
    @ApiModelProperty(value = "1:关键要素；2：重要要素")
    private String type;

    /**
     * 要素名称
     */
    @ApiModelProperty(value = "要素名称")
    private String name;


    @ApiModelProperty(value = "list数据")
    private List<MxPageDetailedInfo> list;
}
