package com.ruoyi.gysl.entity.stats;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 整体项目返回实体类
 *
 * @author du
 * @since 2025/3/22 13:19
 */
@Data
public class AllProjectResponse {

    @ApiModelProperty("项目总数")
    private Integer allProject;

    @ApiModelProperty("建筑面积")
    private BigDecimal allGrossArea;

    @ApiModelProperty("已建数量")
    private Integer allBuilding1;

    @ApiModelProperty("在建数量")
    private Integer allBuilding2;

    @ApiModelProperty("拟建数量")
    private Integer allBuilding3;

    @ApiModelProperty("总投资额")
    private BigDecimal allInvest1;

    @ApiModelProperty("计划投资额")
    private BigDecimal allInvest2;

    @ApiModelProperty("占地面积")
    private BigDecimal allInvest3;


    @ApiModelProperty("当年_新开工项目数")
    private Integer currentYearProject;

    @ApiModelProperty("当年_建筑面积")
    private BigDecimal currentYearGrossArea;

    @ApiModelProperty("当年_已建数量")
    private Integer currentBuilding1;

    @ApiModelProperty("当年_在建数量")
    private Integer currentBuilding2;

    @ApiModelProperty("当年_拟建数量")
    private Integer currentBuilding3;

    @ApiModelProperty("总投资额")
    private BigDecimal currentAllInvest1;

    @ApiModelProperty("计划投资额")
    private BigDecimal currentAllInvest2;

    @ApiModelProperty("占地面积")
    private BigDecimal currentAllInvest3;
}
