package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.Xfcygl;
import com.ruoyi.gysl.entity.request.XfcyglPageReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 细分产业管理(Xfcygl)表数据库访问层
 *
 * @author makejava
 * @since 2025-03-22 10:39:43
 */
public interface XfcyglMapper extends BaseMapper<Xfcygl> {
    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param req 查询实体
     * @return 所有数据
     */
    Page<Xfcygl> page(Page<Xfcygl> page,@Param("req") XfcyglPageReq req);

    /**
     * 查询所有数据
     *
     * @param req 查询实体
     * @return 所有数据
     */
    List<Xfcygl> page(@Param("req") XfcyglPageReq req);
}

