package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.DpclglPageReq;
import com.ruoyi.gysl.mapper.DpclglMapper;
import com.ruoyi.gysl.entity.Dpclgl;
import com.ruoyi.gysl.service.DpclglService;
import org.springframework.stereotype.Service;

/**
 * 单片材料管理(Dpclgl)表服务实现类
 *
 * @author makejava
 * @since 2025-03-22 11:11:55
 */
@Service("dpclglService")
public class DpclglServiceImpl extends ServiceImpl<DpclglMapper, Dpclgl> implements DpclglService {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param dpclgl 查询实体
     * @return 所有数据
     */
    @Override
    public Page<Dpclgl> page(Page<Dpclgl> page, DpclglPageReq dpclgl) {
        return baseMapper.page(page,dpclgl);
    }
}

