package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.mapper.QyrzInformationMapper;
import com.ruoyi.gysl.entity.QyrzInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.service.QyrzInformationService;
import org.springframework.stereotype.Service;

/**
 * (QyrzInformation)表服务实现类
 *
 * @author makejava
 * @since 2025-03-19 15:25:18
 */
@Service("qyrzInformationService")
public class QyrzInformationServiceImpl extends ServiceImpl<QyrzInformationMapper, QyrzInformation> implements QyrzInformationService {

    /**
     * 根据项目id查询企业入驻基本信息
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    @Override
    public QyrzInformation selectAll(ZwIdPageReq zwIdPageReq) {
        return baseMapper.selectAll(zwIdPageReq);
    }
}

