package com.ruoyi.gysl.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

/**
 * 基本信息分页参数
 * @author du
 * @since 2025/3/19 15:07
 */
@Data
public class BasicInformationPageReq {

    @ApiModelProperty("项目名称")
    private String name;

    @ApiModelProperty("项目法人单位")
    private String xmfrdwxz;

    @ApiModelProperty("建设起止时间-开始时间 yyyy-MM")
    private String startTime;

    @ApiModelProperty("建设起止时间-结束时间 yyyy-MM")
    private String endTime;

    @ApiModelProperty("现状分类")
    private Integer xzfl;

    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    @ApiModelProperty("0非负面清单 1是负面清单")
    private Integer isFmqd;

    @ApiModelProperty("状态")
    private Integer status;
}
