package com.ruoyi.gysl.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * 单片材料管理分页参数
 * @author du
 * @since 2025/3/22 11:28
 */
@Data
public class DpclglPageReq {

    @ApiModelProperty("文件标题")
    private String fileTitle;

    @ApiModelProperty(value = "发布时间 yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private LocalDate startTime;
}
