package com.ruoyi.gysl.entity.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;

/**
 * 项目评价清单分页参数
 *
 * @author du
 * @since 2025/3/22 10:10
 */
@Data
public class XmpjqdPageReq {

    @ApiModelProperty(value = "现状分类")
    private Integer xzfl;

    @ApiModelProperty(value = "评价等级")
    private Integer pjdj;

    @ApiModelProperty(value = "1正序 2倒序")
    private String sort;

    @ApiModelProperty(value = "项目名称")
    private String name;

    @ApiModelProperty(value = "项目建设开始时间 yyyy-MM")
    private String begainTime;

    @ApiModelProperty(value = "项目建设结束时间 yyyy-MM")
    private String endTime;

    private Integer current = 1;

    private Integer size = 10;


}
