package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.gysl.entity.BuildingInformation;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (BuildingInformation)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 11:10:03
 */
public interface BuildingInformationMapper extends BaseMapper<BuildingInformation> {

    /**
     * 查询所有数据
     *
     * @param zwIdPageReq 查询实体
     * @return 所有数据
     */
    List<BuildingInformation> selectAll(@Param("req") ZwIdPageReq zwIdPageReq);

    /**
     * 分组之后拿到每个项目id对应的一个每个值都是max的楼栋
     */
    BuildingInformation getOneXmIdToMax(@Param("id") Long id);

    /**
     * 最大值
     */
    BuildingInformation getAllMax();

    /**
     * 查询所有的建筑信息,只保留是重要楼栋的max条
     */
    List<BuildingInformation> getImportantBuildings();
}

