package com.ruoyi.gysl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.gysl.entity.BasicInformation;
import com.ruoyi.gysl.entity.GyslProjectHandbook;
import com.ruoyi.gysl.entity.request.HandbookRequest;
import org.apache.ibatis.annotations.Param;

import java.io.Serializable;
import java.util.List;

/**
 * 项目手册(gysl_project_handbook)表数据库访问层
 *
 * @author makejava
 * @since 2025-02-24 09:25:51
 */
public interface ProjectHandBookMapper extends BaseMapper<GyslProjectHandbook> {

    /**
     * 分页查询所有数据
     *
     * @param g 查询实体
     * @return 所有数据
     */
    Page<GyslProjectHandbook> page(Page<GyslProjectHandbook> a1,@Param("req") HandbookRequest g);

    /**
     * 通过项目id查询相应的项目名字
     */
    List<BasicInformation> getProjectName(@Param("id") List<String> id);
}

