package com.ruoyi.gysl.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.gysl.entity.Ml;
import com.ruoyi.gysl.entity.request.MlPageReq;

import java.util.List;

/**
 * 目录管理(Ml)表服务接口
 *
 * @author makejava
 * @since 2025-03-22 09:21:57
 */
public interface MlService extends IService<Ml> {

    /**
     * 分页查询所有目录
     *
     * @param page 分页对象
     * @return 所有数据
     */
    Page<Ml> page(Page<Ml> page, MlPageReq req);

    /**
     * 查询所有目录
     *
     * @return 所有数据
     */
    List<Ml> page(MlPageReq req);
}

