package com.ruoyi.gysl.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.gysl.entity.request.ZwIdPageReq;
import com.ruoyi.gysl.mapper.EnterpriseMapper;
import com.ruoyi.gysl.entity.Enterprise;
import com.ruoyi.gysl.service.EnterpriseService;
import org.springframework.stereotype.Service;

/**
 * 企业基本信息(Enterprise)表服务实现类
 *
 * @author makejava
 * @since 2025-02-24 11:26:49
 */
@Service("enterpriseService")
public class EnterpriseServiceImpl extends ServiceImpl<EnterpriseMapper, Enterprise> implements EnterpriseService {


    /**
     * 根据项目id分页查询入驻企业
     *
     * @param page       分页对象
     * @param req 查询实体
     * @return 所有数据
     */
    @Override
    public Page<Enterprise> page(Page<Enterprise> page, ZwIdPageReq req) {
        return baseMapper.page(page,req);
    }
}

